create schema if not exists YXEAI;
commit;
SET SCHEMA YXEAI;

-- CREATE SEQUENCE YXEAI.HistoriqueFileIdSequence
--   START WITH 1
--   INCREMENT BY 1
--   MINVALUE 1;


CREATE TABLE  if not exists  YXEAI.HISTORIQUEFILE (
	ID INTEGER NOT NULL AUTO_INCREMENT,
	
	ID_FLOWEXECUTOR VARCHAR(38),
	
	ID_CORRELATION INTEGER,
	
	-- identifiant du noeud detraitement
	NOEUD_TRAITEMENT VARCHAR,
	
	-- identifiant du noeud de traitement
	NOEUD_SOURCE VARCHAR,
	-- nom au noeud fichier original
	FILENAME_ORIGINAL VARCHAR,
	
	-- nom au noeud fichier temporaire
	FILENAME_TEMP VARCHAR,
	
	STATUS INT,
	
	PHASE INT,
	
	-- Date du mouvement
	DATEMVT TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
	
	-- id integer default HistoriqueFileIdSequence.nextval primary key);
	-- ID INTEGER DEFAULT NEXT VALUE FOR "HistoriqueFileIdSequence" NOT NULL AUTO_INCREMENT
	
	ERROR_MESSAGE BLOB,
	ERROR_DETAIL VARCHAR(255)
	
	
);
-- table des compteurs des noeuds
CREATE TABLE  if not exists  YXEAI.COMPTEUR (
	-- identifiant du noeud de traitement
	NOEUD_TRAITEMENT VARCHAR,
	
	STATUS INTEGER,
	
	TOTAL INTEGER
	
);

commit;